<?php
/**
 * Getting Started Page
 *
 * @package WP Featured Post
 * @since 1.0.0
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly
} ?>

<div class="wrap wpfp-wrap">
	<style type="text/css">
		.wpos-pro-box .hndle{background-color:#0073AA; color:#fff;}
		.wpos-pro-box.postbox{background:#dbf0fa none repeat scroll 0 0; border:1px solid #0073aa; color:#191e23;}
		.postbox-container .wpos-list li:before{font-family: dashicons; content: "\f139"; font-size:20px; color: #0073aa; vertical-align: middle;}
		.wpfp-wrap .wpos-button-full{display:block; text-align:center; box-shadow:none; border-radius:0;}
		.wpfp-shortcode-preview{background-color: #e7e7e7; font-weight: bold; padding: 2px 5px; display: inline-block; margin:0 0 2px 0;}
		.upgrade-to-pro{font-size:18px; text-align:center; margin-bottom:15px;}
		.wpos-copy-clipboard{-webkit-touch-callout: all; -webkit-user-select: all; -khtml-user-select: all; -moz-user-select: all; -ms-user-select: all; user-select: all;}
		.wpos-new-feature{ font-size: 10px; margin-left:3px; color: #fff; font-weight: bold; background-color: #03aa29; padding:1px 4px; font-style: normal; }
		.button-orange{background: #ff2700 !important;border-color: #ff2700 !important; font-weight: 600;}
	</style>
	<h2><?php _e( 'How It Works', 'featured-post' ); ?></h2>
	<div id="poststuff">
		<div id="post-body" class="metabox-holder columns-2">

			<!--How it workd HTML -->
			<div id="post-body-content">
				<div class="meta-box-sortables">
					<div class="postbox">
						<div class="postbox-header">
							<h2 class="hndle">
								<span><?php _e( 'Need Support & Solutions?', 'featured-post' ); ?></span>
							</h2>
						</div>
						<div class="inside">
							<table class="form-table">
								<tbody>
									<tr>
										<td>
											<p><?php _e('Boost design and best solution for your website.', 'featured-post'); ?></p> <br/>
											<a class="button button-primary button-orange" href="<?php echo WPFP_PLUGIN_LINK; ?>" target="_blank"><?php _e('Grab Now', 'featured-post'); ?></a>
										</td>
									</tr>
								</tbody>
							</table>
						</div><!-- .inside -->
					</div><!-- #general -->

					<div class="postbox">
						<div class="postbox-header">
							<h2 class="hndle">
								<span><?php _e( 'How It Works - Display and shortcode', 'featured-post' ); ?></span>
							</h2>
						</div>

						<div class="inside">
							<table class="form-table">
								<tbody>
									<tr>
										<th>
											<label><?php _e('Getting Started with Featured Post', 'featured-post'); ?>:</label>
										</th>
										<td>
											<ul>
												<li><?php _e('Step-1. This plugin create a menu "Featured Post".', 'featured-post'); ?></li>
												<li><?php _e('Step-2. This plugin get all the featured POST from WordPress Post section with a simple shortcode', 'featured-post'); ?></li>
											</ul>
										</td>
									</tr>

									<tr>
										<th>
											<label><?php _e('How Shortcode Works', 'featured-post'); ?>:</label>
										</th>
										<td>
											<ul>
												<li><?php _e('Step-1. Create a page like Featured Post OR My Featured Post.', 'featured-post'); ?></li>
												<li><?php _e('Step-2. Put below shortcode as per your need.', 'featured-post'); ?></li>
											</ul>
										</td>
									</tr>

									<tr>
										<th>
											<label><?php _e('All Shortcodes', 'featured-post'); ?>:</label>
										</th>
										<td>
											<span class="wpos-copy-clipboard wpfp-shortcode-preview">[fpc_post_grid]</span> – <?php _e('Featured Post Grid View Shortcode', 'featured-post'); ?> <br />
											<span class="wpos-copy-clipboard wpfp-shortcode-preview">[fpc_post_block]</span> – <?php _e('Featured Post Grid Block Shortcode', 'featured-post'); ?> <br />
										</td>
									</tr>
									<tr>
										<th>
											<label><?php _e('Documentation', 'featured-post'); ?>:</label>
										</th>
										<td>
											<a class="button button-primary" href="https://docs.essentialplugin.com/featured-post-creative/" target="_blank"><?php _e('Check Documentation', 'featured-post'); ?></a>
										</td>
									</tr>
								</tbody>
							</table>
						</div><!-- .inside -->
					</div><!-- #general -->

					<div class="postbox">
						<div class="postbox-header">
							<h2 class="hndle">
								<span><?php _e( 'Help to improve this plugin!', 'featured-post' ); ?></span>
							</h2>
						</div>
						<div class="inside">
							<p><?php _e('Enjoyed this plugin? You can help by rate this plugin', 'featured-post'); ?> <a href="https://wordpress.org/support/plugin/featured-post-creative/reviews/#new-post" target="_blank"><?php _e('5 stars!', 'featured-post'); ?></a></p>
						</div><!-- .inside -->
					</div><!-- #general -->
				</div><!-- .meta-box-sortables -->
			</div><!-- #post-body-content -->
			
			<!--Upgrad to Pro HTML -->
			<div id="postbox-container-1" class="postbox-container">
				<div class="meta-box-sortables">
					<div class="postbox wpos-pro-box">
						<div class="postbox-header">
							<h3 class="hndle">
								<span><?php _e( 'Upgrate to Pro', 'featured-post' ); ?></span>
							</h3>
						</div>
						<div class="inside">
							<ul class="wpos-list">
								<li><?php _e('20 grid and grid box, 20 slider and carousel layout designs', 'featured-post'); ?></li>
								<li><?php _e('8 Shortcodes – (Feature Post Grid, Feature Post Slider, Feature Post GridBox, Feature Post Carousel, Trending Post Grid, Trending Post Slider, Trending Post GridBox, Trending Post Carousel)', 'featured-post'); ?></li>
								<li><?php _e('Shortcode Generator', 'featured-post'); ?></li>
								<li><?php _e('6 Widgets', 'featured-post'); ?></li>
								<li><?php _e('Custom Read More link for Post', 'featured-post'); ?></li>
								<li><?php _e('Display Post of Particular Categories', 'featured-post'); ?></li>
								<li><?php _e('WPBakery Page Builder Support', 'featured-post'); ?></li>
								<li><?php _e('Gutenberg, Elementor, Beaver and SiteOrigin Page Builder Support. <span class="wpos-new-feature">New</span>', 'featured-post'); ?></li>
								<li><?php _e('Divi Page Builder Native Support. <span class="wpos-new-feature">New</span>', 'featured-post'); ?></li>
								<li><?php _e('Fusion Page Builder (Avada) native support. <span class="wpos-new-feature">New</span>', 'featured-post'); ?></li>
								<li><?php _e('Template overriding feature support', 'featured-post'); ?></li>
								<li><?php _e('Strong Shortcode Parameters', 'featured-post'); ?></li>
								<li><?php _e('Fully responsive', 'featured-post'); ?></li>
								<li><?php _e('100% Multi language', 'featured-post'); ?></li>
							</ul>
							<div class="upgrade-to-pro"><?php echo sprintf( __( 'Gain access to <strong>WP Featured Post</strong>', 'featured-post' ) ); ?></div>
							<a class="button button-primary wpos-button-full button-orange" href="<?php echo WPFP_PLUGIN_LINK; ?>" target="_blank"><?php _e('Grab Now', 'featured-post'); ?></a>
						</div><!-- .inside -->
					</div><!-- #general -->
				</div><!-- .meta-box-sortables -->
			</div><!-- #post-container-1 -->

		</div><!-- #post-body -->
	</div><!-- #poststuff -->
</div><!-- .wpfp-wrap -->