<?php

/**
 * The header for our theme
 *
 * This is the template that displays all of the <head> section and everything up until <div id="content">
 *
 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
 *
 * @package draftly
 */

?>
<!doctype html>
<html <?php language_attributes(); ?>>

<head>
	<meta charset="<?php bloginfo('charset'); ?>">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<link rel="profile" href="http://gmpg.org/xfn/11">
	<?php wp_head(); ?>
	<!-- Global site tag (gtag.js) - Google Analytics -->
	<script async src="https://www.googletagmanager.com/gtag/js?id=UA-225304669-2"></script>
	<script>
		window.dataLayer = window.dataLayer || [];

		function gtag() {
			dataLayer.push(arguments);
		}
		gtag('js', new Date());

		gtag('config', 'UA-225304669-2');
	</script>
	<!-- Global site tag (gtag.js) - Google Analytics -->
	<script async src="https://www.googletagmanager.com/gtag/js?id=G-SRZ50F5RRL"></script>
	<script>
		window.dataLayer = window.dataLayer || [];

		function gtag() {
			dataLayer.push(arguments);
		}
		gtag('js', new Date());

		gtag('config', 'G-SRZ50F5RRL');
	</script>
</head>

<body <?php body_class(); ?>>

	<?php if (!function_exists('wp_body_open')) {
		function wp_body_open()
		{
			do_action('wp_body_open');
		}
	} ?>

	<a class="skip-link screen-reader-text" href="#content"><?php _e('Skip to content', 'draftly'); ?></a>


	<div id="page" class="site">




		<!--Nav start-->
		<!-- <header id="masthead" class="sheader site-header clearfix">
			<nav id="primary-site-navigation" class="primary-menu main-navigation clearfix">
				<a href="#" id="pull" class="smenu-hide toggle-mobile-menu menu-toggle" aria-controls="secondary-menu" aria-expanded="false"><?php // esc_html_e('Menu', 'draftly'); 
																																				?></a>

				<div class="top-nav-wrapper">
					<div class="content-wrap">
						<div class="logo-container"> 

							<?php // if (has_custom_logo()) : 
							?>
								<?php // the_custom_logo(); 
								?>
								<?php // else : 
								?>
									<a class="logofont" href="<?php // echo esc_url(home_url('/')); 
																?>" rel="home"><?php // bloginfo('name'); 
																				?></a>
								<?php // endif; 
								?>
							</div>
							<div class="center-main-menu">
								<?php
								// wp_nav_menu(array(
								// 	'theme_location'	=> 'menu-1',
								// 	'menu_id'			=> 'primary-menu',
								// 	'menu_class'		=> 'pmenu'
								// ));
								?>
							</div>
						</div>
					</div>
				
				
				
				
				
				
				</nav>

				<div class="super-menu clearfix">
					<div class="super-menu-inner">
						

						<?php //if (has_custom_logo()) : 
						?>
							<?php //the_custom_logo(); 
							?>
							<?php //else : 
							?>
								<a class="logofont" href="<?php //echo esc_url(home_url('/')); 
															?>" rel="home"><?php //bloginfo('name'); 
																			?></a>
							<?php //endif; 
							?>

							<a href="#" id="pull" class="toggle-mobile-menu menu-toggle" aria-controls="secondary-menu" aria-expanded="false"></a>
						</a>
					</div>
				</div> 
				<div id="mobile-menu-overlay"></div>
			</header> -->
		<!--Nav end-->

		<!-- header start -->
		<style>
			.container {
				width: 100%;
				margin: 0 auto;
			}

			.flexSb {
				display: flex;
				flex-direction: row;
				justify-content: space-between;
				align-items: center;
			}

			.flexCol {
				display: flex;
				flex-direction: column;
			}

			@media screen and (min-width: 1200px) {
				.container {
					width: 1200px;
				}
			}

			.headerMobile {
				position: fixed;
				top: 0;
				left: 0;
				width: 100%;
				transition: all 0.3s;
				background-color: #fff;
				z-index: 999999;
			}

			.headerMobile.active {
				background-color: #fff;
				z-index: 999999;
			}

			.headerMobile .nav {
				height: 44px;
				padding: 0 16px;
			}

			.headerMobile .nav a {
				text-decoration: none;
			}

			.headerMobile .nav a span {
				font-size: 18px;
				font-family: Roboto-Bold, Roboto;
				font-weight: bold;
				color: #081452;
				line-height: 40px;
			}

			.headerMobile .nav img:nth-child(2) {
				width: 24px;
				height: 24px;
			}

			.headerMobile .msk {
				position: fixed;
				top: 0;
				left: 100%;
				width: 100%;
				height: 100%;
				background-color: #fff;
				z-index: 999;
				transition: all 0.3s;
			}

			.headerMobile .msk.active {
				left: 0;
			}

			.headerMobile .msk .logo img {
				width: 178px;
				height: 40px;
			}

			.headerMobile .msk .menuList {
				padding: 34px 16px 16px 16px;
			}

			.headerMobile .msk .menuList a {

				width: 100%;
				height: 48px;
				line-height: 48px;
				font-size: 18px;
				font-family: Roboto-Bold, Roboto;
				font-weight: bold;
				color: #040F1C;
				border-bottom: 1px solid #e5e5e5;
				text-decoration: none;
			}

			.headerPc {
				display: none !important;
			}

			@media (min-width: 1200px) {
				.headerMobile {
					display: none !important;
				}

				.headerPc {
					position: absolute;
					top: 0;
					left: 50%;
					transform: translateX(-50%);
					width: 100%;
					display: block !important;
					transition: all 0.3s;
					z-index: 998;
				}

				.headerPc.active {
					position: fixed;
					background-color: #fff;
					z-index: 999999999;
				}

				.headerPc .inner {
					display: flex;
					flex-direction: row;
					justify-content: space-between;
					align-items: center;
					height: 100px;
				}

				.headerPc .inner .logo a {
					text-decoration: none;
				}

				.headerPc .inner .logo span {
					width: 203px;
					height: 40px;
					font-size: 34px;
					font-family: Roboto-Bold, Roboto;
					font-weight: bold;
					color: #081452;
					line-height: 40px;
				}

				.headerPc .inner .menuList a {
					width: 74px;
					height: 21px;
					font-size: 18px;
					font-family: Roboto-Regular, Roboto;
					font-weight: 400;
					color: #081452;
					line-height: 21px;
					margin-left: 40px;
					text-decoration: none;
				}

				.headerPc .inner .menuList a.mactive {
					color: #1D4BFD;
					font-weight: 900;
				}

				.headerPc .inner .menuList a:hover {
					color: #1D4BFD;
					font-weight: 900;
				}

				.headerPc .inner .menuList .btn {
					width: 154px;
					margin-left: 40px;
					cursor: pointer;
					height: 48px;
					background: #1d4bfd;
					border-radius: 8px;
					border: 1px solid #1d4bfd;
					font-size: 18px;
					font-family: Roboto-Bold, Roboto;
					font-weight: 700;
					color: #fff;
				}
			}
		</style>

		<div class="headerPc" id="h-hp">
			<div class="inner container">
				<div class="logo">
					<a href="/">
						<span>RealCall Blog</span>
					</a>
				</div>
				<div class="menuList">
					<a target="_blank" class="" href="https://www.realcall.ai/">Home</a>
					<a target="_self" class="" href="https://www.realcall.ai/compare">Compare</a>
					<a target="_self" class="" href="https://lookup.realcall.ai/">Lookup</a>
					<a target="_self" class="" href="https://faq.realcall.ai/">FAQ</a>
					<a target="_self" class="" href="https://www.realcall.ai/support">Support</a>
					<a target="_self" class="" href="https://www.realcall.ai/about">About Us</a>
					<button class="btn" onclick="window.start()">Get RealCall</button>
				</div>
			</div>
		</div>

		<div class="headerMobile">
			<div class="nav flexSb">
				<a href="/">
					<span>RealCall Blog</span>
				</a>
				<img id="h-menu" src="https://www.realcall.ai/img/nav_menu@2x.png" alt="menu" />
			</div>
			<div class="msk" id="h-msk">
				<div class="nav flexSb">
					<a href="/">
						<span>RealCall Blog</span>
					</a>
					<img id="h-close" src="https://www.realcall.ai/img/nav_close@2x.png" alt="close" />
				</div>
				<div class="menuList flexCol">
					<a href="https://www.realcall.ai/compare">Compare</a>
					<a href="https://lookup.realcall.ai/">Lookup</a>
					<a href="https://faq.realcall.ai/">FAQ</a>
					<a href="https://blog.realcall.ai/">Blog</a>
					<a href="https://www.realcall.ai/support">Support</a>
					<a href="https://www.realcall.ai/about">About Us</a>
				</div>
			</div>
		</div>

		<script>
			const menu = document.getElementById("h-menu");
			const close = document.getElementById("h-close");
			const msk = document.getElementById("h-msk");
			const hp = document.getElementById("h-hp");
			window.start = () => {
				location.href = "https://app.adjust.com/dsxfim5";
			};

			menu.addEventListener('click', (e) => {
				msk.setAttribute("class", "msk active")
			})

			close.addEventListener('click', (e) => {
				msk.setAttribute("class", "msk")
			})

			window.addEventListener('scroll', (e) => {
				const scrollT = document.documentElement.scrollTop || document.body.scrollTop;
				if (scrollT > 800) {
					hp.setAttribute("class", "headerPc active")
				} else {
					hp.setAttribute("class", "headerPc")
				}
			})
		</script>
		<!-- header end -->

		<?php if (is_front_page()) : ?>

        <!-- Header img -->
        <div class="header-img-activated site-content">
            <div class="content-wrap">
                <div class="bottom-header-wrapper diyHomeBanner">
                    <img class="diyPc" src="/wp-content/themes/draftly/img/banner_pc@2x.png" alt="Here's Everything You Need.Insights, Scam Alert, Product Features, Industry News...">
                    <img class="diyMobile" src="/wp-content/themes/draftly/img/banner_mobile@2x.png" alt="Here's Everything You Need.Insights, Scam Alert, Product Features, Industry News...">
                </div>
            </div>
        <!-- / Header img -->

			<?php endif; ?>

			<?php if (is_front_page()) : ?>
				<?php if (get_header_image()) : ?>
				</div>
			<?php endif; ?>
		<?php endif; ?>

		<div id="content" class="site-content clearfix">
			<div class="content-wrap">
