<?php
/**
 * The main template file
 *
 * This is the most generic template file in a WordPress theme
 * and one of the two required files for a theme (the other being style.css).
 * It is used to display a page when nothing more specific matches a query.
 * E.g., it puts together the home page when no home.php file exists.
 *
 * @link https://codex.wordpress.org/Template_Hierarchy
 *
 * @package draftly
 */

get_header(); ?>

<?php if (is_front_page()) : ?>
    <div class="site-content diySearchCategory diySearchForm">
        <?php
        // todd  edit
        get_sidebar();
        ?>
    </div>
<?php endif; ?>

<div id="primary" class="featured-content content-area">
	<main id="main" class="site-main all-blog-articles">
		<?php
		if ( have_posts() ) :

			if ( is_home() && ! is_front_page() ) : ?>
		
		<header>
			<h1 class="page-title screen-reader-text"><?php single_post_title(); ?></h1>
		</header>

		<?php
		endif;

		/* Start the Loop */
		while ( have_posts() ) : the_post();

				/*
				 * Include the Post-Format-specific template for the content.
				 * If you want to override this in a child theme, then include a file
				 * called content-___.php (where ___ is the Post Format name) and that will be used instead.
				 */
				get_template_part( 'template-parts/content', get_post_format() );

				endwhile;
				echo '<div class="text-center pag-wrapper">';
				draftly_numeric_posts_nav();
				echo '</div>';
				else :

					get_template_part( 'template-parts/content', 'none' );

				endif; ?>

			</main><!-- #main -->
		</div><!-- #primary -->

		<?php

		get_footer();
