<?php
/**
 * The main template file
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package Yocto
 */

get_header(); ?>

    <main class="site-main" role="main">

        <?php
        if (have_posts()) :

            while (have_posts()) : the_post();

                get_template_part('template-parts/content', get_post_type());

            endwhile;

            yocto_posts_pagination();

        else :

            get_template_part('template-parts/content', 'none');

        endif;
        ?>

    </main><!-- .site-main -->
    <style>
        html {
            margin-top: 0 !important;
        }

        .nojq {
            display: none;
        }

        .site-header {
            border-top-width: 0;
            background: rgb(255, 255, 255);
            position: fixed;
            border-bottom: 2px solid rgb(238, 241, 247);
            min-height: 100px;
        }

        .site-header-container {
            padding: 0;
        }

        .site-branding {
            padding: 1.5rem 3rem;
        }

        .site-description {
            display: none;
            color: black;
        }

        .main-navigation {
            display: none;
        }

        .primary-menu li:last-child {
            display: none;
        }

        .entry-title {
            font-size: 1.2rem;
        }

        .widget-area {
            position: unset;
        }

        .site-content {
            padding-top: 70px;
        }

        .site-title a {
            color: #040f1c;
        }

        @media screen and (min-width: 70rem) {
            .site-header-container {
                position: relative;
            }

            .site-description {
                display: block;
            }

            .site-header .main-navigation {
                display: block;
            }

            .site-header .main-navigation {
                display: inline-block;
                width: 30%;
                position: absolute;
                right: 0;
                flex: none;
                text-align: left;
                padding-left: 2rem;
            }

            .primary-menu {
                display: inline-block;
            }

            .primary-menu .menu-item.focus a, .primary-menu .menu-item a {
                padding-left: 0;
                font-size: 16px;
                font-weight: 700;
                color: #040f1c;
                line-height: 24px;
            }

            .entry-title {
                font-size: 2rem;
            }
        }

        .footer-widgets {
            background-color: #212123;
        }

        .menu-toggle {
            display: none;
        }

        .site-footer {
            background-color: white;
            /*padding-bottom: 72px;*/
        }

        .top-home-zone {
            height: 44px;
            line-height: 44px;
            border-bottom: solid #444 1px;
            width: 100%;
        }

        .top-home-zone img {
            height: 19px;
            width: auto;
            margin: -4px 8px 0 20px;
        }

        .top-home-zone span {
            display: inline-block;
            height: 16px;
            line-height: 16px;
        }

        .float-bottom-btn-zone img {
            height: 36px;
        }

        .right-btn-zone img {
            height: 36px;
        }

        .float-bottom-btn-zone {
            position: fixed;
            bottom: 0;
            left: 0;
            height: 72px;
            line-height: 72px;
            width: 100%;
            background-color: white;
            padding: 0 2rem;
            text-align: center;
            box-shadow: 0px -1px 0px 0px #EEEEEE;
        }

        .float-bottom-btn-zone .icon {
            height: 26px;
            width: auto;
            margin-right: 16px;
        }

        .float-bottom-btn-zone .bottom-btn {
            display: inline-block;
            height: 48px;
            line-height: 48px;
            border-radius: 5px;
            background-color: #333333;
            font-weight: bold;
            color: #FFFFFF;
            width: 100%;
        }

        .float-bottom-btn-zone .bottom-btn img {
            height: 20px;
            width: auto;
            margin-right: 8px;
        }

        .right-btn-zone .fax-sub-title {
            font-size: 1.5rem;
            font-family: Noto Sans, system-ui, -apple-system, BlinkMacSystemFont, Segoe UI, Roboto, Oxygen, Ubuntu, Cantarell, Fira Sans, Droid Sans, Helvetica Neue, sans-serif;
            font-weight: bold;
            color: #1F1F1F;
        }

        .right-btn-zone .right-btn {
            width: 292px;
            height: 52px;
            line-height: 52px;
            background: #000000;
            border-radius: 5px;
            border: 1px solid #999999;
            text-align: center;
            margin: 6px 0 10px 0;
        }

        .right-btn-zone .right-btn img {
            display: inline-block;
        }

    </style>
    <script async src="https://www.googletagmanager.com/gtag/js?id=UA-180683989-1"></script>
    <script>
        window.dataLayer = window.dataLayer || [];

        function gtag() {
            dataLayer.push(arguments);
        }

        gtag('js', new Date());
        gtag('config', 'UA-180683989-1');
    </script>
    <script>
        function gaevent(category, action, label) {
            console.log(action)
            window.gtag &&
            window.gtag('event', action, {
                event_category: category,
                event_label: label,
                value: 1,
            });
        }

        function initFooterFuncP1() {
            let ua = navigator.userAgent.toLowerCase()
            if (ua.indexOf('android') > -1 || ua.indexOf('iphone') > -1) {
                let dlElem = document.createElement("div")
                dlElem.innerHTML = '<div class="bottom-btn"><img src="https://www.easylineapp.com/blog/wp-content/uploads/2021/09/icon_download.png" style="cursor: pointer;" alt="download icon">Download EasyLine<div>'
                dlElem.setAttribute('class', 'float-bottom-btn-zone')
                document.body.appendChild(dlElem)
                document.querySelector(".bottom-btn").onclick = function () {
                    gaevent('https://app.adjust.com/ecezeb4','EL_Blog_Mobile_Bottom')
                    window.location.href = "https://app.adjust.com/ecezeb4"
                }
            } else {
                let dlElem = document.createElement("div")
                dlElem.innerHTML = '<div class="fax-sub-title">Download to EasyLine</div><div class="right-btn ios"><img src="https://www.easylineapp.com/blog/wp-content/uploads/2021/09/pc_appstore.png" style="cursor: pointer;" alt="iphone download"></div><div class="right-btn others"><img src="https://www.easylineapp.com/blog/wp-content/uploads/2021/09/pc_googleplay-2.png" style="cursor: pointer;" alt="android download"></div>'
                dlElem.setAttribute('class', 'right-btn-zone')
                let parentElem = document.querySelector(".widget-area")
                let nextElem = document.querySelector(".widget_categories")
                if (parentElem == null || nextElem == null) {
                    return
                }
                parentElem.insertBefore(dlElem, nextElem)
                document.querySelector(".right-btn.ios").onclick = function () {
                    gaevent('Download','Blog-IOS-Download')
                    window.location.href = "https://apps.apple.com/us/app/business-phone-number/id1542581576#?platform=iphone"
                }
                document.querySelector(".right-btn.others").onclick = function () {
                    gaevent('Download','Blog-And-Download')
                    window.location.href = "https://play.google.com/store/apps/details?id=me.easyline.call.text&hl=en_IN&gl=US"
                }
            }
        }

        setTimeout(function () {
            initFooterFuncP1()
        }, 250)
    </script>
<?php
get_sidebar();
get_footer();
